<template>
    <div></div>
</template>

<script>
export default {
    name: 'Speech',
    props: [ 'queueNumber', 'counter'],
    methods: {
        speech() {
            const message = new SpeechSynthesisUtterance();
            message.lang = "id"
            message.rate = 0.75
            message.text = `Nomor antrian ${this.queueNumber}, silahkan datang ke ${this.counter}`;

            window.speechSynthesis.speak(message);
        }
    },
    mounted() {
        setTimeout(() => {
            this.speech();
        }, 1500);
    }
}

</script>

<style></style>